
Redmine - Defect #18670

When saving any issue I get RuntimeError ():

2014-12-17 13:32 - Abe Smith

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.3

Description

This is from the log.

Processing by IssuesController#update as HTML

Parameters: {"utf8"=>"✓", "authenticity_token"=>"NFM/v8fQPhx9kpFrK54vKHz6FK73ZHdKev5ZMtVlLas=",

"issue"=>{"is_private"=>"0", "project_id"=>"63", "tracker_id"=>"2", "subject"=>"Account Service", "description"=>"", "status_id"=>"2",

"assigned_to_id"=>"53", "fixed_version_id"=>"", "parent_issue_id"=>"", "custom_field_values"=>{"2"=>"JIATFS"},

"story_points"=>"1", "release_id"=>"", "release_relationship"=>"auto", "notes"=>"", "private_notes"=>"0", "lock_version"=>"27"},

"time_entry"=>{"hours"=>"", "activity_id"=>"", "comments"=>""}, "last_journal_id"=>"2330", "commit"=>"Submit", "id"=>"611"}

Current user: asmith (id=3)

Completed 500 Internal Server Error in 49ms

RuntimeError ():

app/models/issue.rb:336:in `assign_attributes_with_project_and_tracker_first'

app/models/issue.rb:456:in `safe_attributes='

app/controllers/issues_controller.rb:374:in `update_issue_from_params'

app/controllers/issues_controller.rb:175:in `update'

Version Information:

Environment:

Redmine version                2.3.3.stable

Ruby version                   1.9.3-p448 (2013-06-27) [x86_64-linux]

Rails version                  3.2.13

Environment                    production

Database adapter               Mysql2

Redmine plugins:

redmine_backlogs               v1.0.6

redmine_ldap_sync              2.0.2.devel

scrum                          0.8.0

History

#1 - 2014-12-17 16:32 - Abe Smith

- Status changed from New to Resolved

Plugin conflict. Removed scrum and added position column to issues table.

#2 - 2014-12-21 20:49 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback.
